### Method

# Clutter PanAction get_motion_coords

#### Declaration [src]

    void
    clutter_pan_action_get_motion_coords (
      ClutterPanAction* self,
      guint point,
      gfloat* motion_x,
      gfloat* motion_y
    )

#### Description [src]

Retrieves the coordinates, in stage space, dependent on the current state of the `ClutterPanAction`. If it is inactive, both fields will be set to 0. If it is panning by user action, the values will be equivalent to those returned by `clutter_gesture_action_get_motion_coords()`. If it is interpolating with some form of kinetic scrolling, the values will be equivalent to those returned by `clutter_pan_action_get_interpolated_coords()`. This is a convenience method designed to be used in replacement “pan” signal handlers.

#### Parameters

`point`

  Type: `guint`

  The touch point index, with 0 being the first touch point received by the action.

`motion_x`

  Type: `gfloat*`

  Return location for the X coordinate.

  The argument will be set by the function.
  The argument can be `NULL`.

`motion_y`

  Type: `gfloat*`

  Return location for the Y coordinate.

  The argument will be set by the function.
  The argument can be `NULL`.